Unit tzp17r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, ZP17R_p;

function tzp17r: String;

implementation

function tzp17r: String;
var
_i,NREAL,IERR :Integer;
ROOT :Array [0..3] of Real;
const
A :Array [0..4] of Real = ( 1.0,-10.0,35.0,-50.0,24.0 );
begin
Result := '';  {   }
Result := Result + Format('%s',[' TEST FOR SUBROUTINE ZP17R ']);
ZP17R(A,NREAL,ROOT,IERR);
Result := Result + Format('%s',[#$0D#$0A + ' COEFF: ']);
Result := Result + #$0D#$0A;
for _i:=0 to 4 do
 begin
  Result := Result + Format('%20.16f ',[A[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[#$0D#$0A + ' REALS: ']);
Result := Result + Format('%5d ',[NREAL]);
Result := Result + Format('%s',[#$0D#$0A + ' ROOTS: ']);
Result := Result + #$0D#$0A;
for _i:=0 to 3 do
 begin
  Result := Result + Format('%20.16f ',[ROOT[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[#$0D#$0A + '  IERR: ']);
Result := Result + Format('%5d ',[IERR]);
UtRes('tzp17r',Result);  {     tzp17r.res }
exit;
end;

end.
